<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\KursPlanung\KursVorschlag\EmailVersand;

class EmailToUserView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/kursplanung/kursvorschlag_email_an_user.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $dm = $this->viewModel->kursplanung;

    
    
    
    
    $dm->kurstitel = $this->viewModel->kurstitel;
    $dm->name = $this->viewModel->user->name;
    $dm->vorname = $this->viewModel->user->vorname;

    return array($dm);
  }

  protected function getHeaderDataModulArray()
  {
    return $this->getDefaultDataModulArray();
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumn($this->viewModel->kursplanung);
  }
}

class EmailToUserViewModel
{
  public $columns;
  public $kursplanung;
  public $knr;
  public $kurstitel;
  public $user;
}